<?php
/**
* @since 1.0.0
*/
function minimal_comment( $comment, $args, $depth ) {

        ?>
        <li <?php comment_class();?> id="comment-<?php comment_ID();?>">
        <div class="row comment-body">

        <div class="col-md-2 comment-body__left comment-meta commentmetadata">
            <div class="comment-author author vcard">
                <?php echo get_avatar( $comment, 60 ); ?>
                <h5 class="heading-five comment__author">
                    <?php echo get_comment_author_link(); ?>
                </h5>
            </div>
            <?php if ( '0' == $comment->comment_approved ) : ?>
                <em class="comment-awaiting-moderation"><?php esc_attr_e( 'Your comment is awaiting moderation.', 'minimal-magazine' ); ?></em>
                <br />
            <?php endif; ?>
        </div>

        <div class="col-md-10 comment-body__right comment-content" id="div-comment-<?php comment_ID() ?>">
            <div class="comment__body comment-text">
                <?php comment_text(); ?>
            </div>

            <div class="meta-block">
                <a href="<?php echo esc_url( htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ); ?>" class="meta comment__meta comment-date">
                <time datetime="<?php echo get_comment_date( 'c' );?>">
                    <span class="meta comment__date"><?php comment_date(); ?></span>
                    <span class="meta comment__time"><?php comment_time(); ?></span>
                </time>
                </a>

                <span class="comment__edit text-right">
                    <?php edit_comment_link( esc_html__( 'Edit', 'minimal-magazine' ), '  ', '' ); ?>
                </span>
                <span class="meta button--reply text-left" role="button">
                    <?php
                            comment_reply_link( array_merge( $args, array(
                                'reply_text' => esc_html__('Reply', 'minimal-magazine'),
                                'depth' => $depth,
                                'max_depth' => $args['max_depth']
                    ) ) ); ?>
                </span>
            </div>

        </div>
        </div>
    <?php
}