<?php

function minimal_header_logo(){ ?>

	<?php
	// Check if Logo is Active
		if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ):
			the_custom_logo();
		else: ?>
		<!-- Display the Sitename as Logo -->
			<p class="site-title">
				<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
					<?php bloginfo( 'name' ); ?>
				</a>
			</p>
	<?php endif;

		$description = get_bloginfo( 'description', 'display' );
		if ( $description || is_customize_preview() ) : ?>
			<p class="site-description">
				<?php echo esc_attr($description); ?>
			</p>
		<?php endif; ?>
<?php }


function minimal_header_menu(){
global $defaults;

if ( $defaults['minimal_menu_layout'] == 'hamburger' ):?>

			<!-- Hamburger Menu -->
			<div class="hamburger__menu__full">
			<div class="row hamburger__menu__middle" aria-controls="primary-menu" aria-expanded="true">

				<div class="col-12 hamburger__site-title">
					<span>
						<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home">
						<?php bloginfo( 'name' ); ?>
						</a>
					</span>
					<a class="ham__close"><?php esc_attr_e( 'Close', 'minimal-magazine' ); ?></a>
				</div>

				<div class="hamburger-menu-container col-12 menu clearfix">
				<nav id="site-navigation-ham" aria-label="site links">
					<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'main-nav' ) ); ?>
				</nav>
				</div>
			</div>
			</div>

		<!-- Mobile Menu Hamburger Icon -->
		<button class="hamburger hamburger--spring" type="button" aria-controls="primary-menu" aria-expanded="false">
		  <span class="hamburger-box">
		    <span class="hamburger-inner"></span>
		  </span>
		  <?php if(!empty($defaults['minimal_hamburger_title'])){
		        echo do_shortcode($defaults['minimal_hamburger_title']);
			}?>
		</button>

		<?php else:?>

		<?php
			//Support for Max Mega Menu
			 if ( class_exists( 'Mega_Menu_Nav_Menus' ) && max_mega_menu_is_enabled('primary') ) { ?>
				<nav id="site-navigation" class="main-navigation" role="navigation">
			    <button class="menu-toggle"><?php esc_html_e( 'Menu', 'minimal-magazine' ); ?></button>
			    <a class="assistive-text" href="#content" title="<?php esc_html_e( 'Skip to content', 'minimal-magazine' ); ?>"><?php esc_html_e( 'Skip to content', 'minimal-magazine' ); ?>
			    </a>
			    <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav-menu', ) ); ?>
			</nav><!-- #site-navigation -->
			<?php }else{ ?>

			<nav id="site-navigation" class="main-navigation" role="navigation" aria-label="site links">
				<button class="menu-toggle" aria-controls="top-menu" aria-expanded="false">
					<?php esc_html_e( 'Menu', 'minimal-magazine' ); ?>
				</button>
				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'primary-menu' ) ); ?>
			</nav><!-- #site-navigation -->

			<?php }
			endif;
}


function minimal_social_menu(){

	global $defaults;

	$social_link_one 	= esc_url($defaults['minimal_social_account_link_one']);
	$social_icon_one 	= esc_attr( $defaults['minimal_social_account_icon_one']);
	$social_link_two 	= esc_url($defaults['minimal_social_account_link_two']);
	$social_icon_two 	= esc_attr( $defaults['minimal_social_account_icon_two']);
	$social_link_three 	= esc_url($defaults['minimal_social_account_link_three']);
	$social_icon_three 	= esc_attr( $defaults['minimal_social_account_icon_three']);
	$social_link_four 	= esc_url($defaults['minimal_social_account_link_four']);
	$social_icon_four 	= esc_attr( $defaults['minimal_social_account_icon_four']);
	$social_link_five 	= esc_url($defaults['minimal_social_account_link_five']);
	$social_icon_five 	= esc_attr( $defaults['minimal_social_account_icon_five']);
	$social_link_six 	= esc_url($defaults['minimal_social_account_link_six']);
	$social_icon_six 	= esc_attr( $defaults['minimal_social_account_icon_six']);
?>

	<div class="minimal-social-link" itemscope itemtype="http://schema.org/Organization">
	<link itemprop="url" href="<?php echo esc_url( home_url( '/' ) ); ?>">

	<?php
	// Social Link Field 1
	if(!empty( $social_link_one )): ?>
		<a href="<?php echo esc_url($social_link_one);?>">
		  	<span class="<?php echo esc_attr($social_icon_one);?>"></span>
		</a>
	<?php endif; ?>

	<?php
	// Social Link Field 2
	if(!empty( $social_link_two )): ?>
		<a href="<?php echo esc_url($social_link_two);?>">
		  	<span class="<?php echo esc_attr($social_icon_two);?>"></span>
		</a>
	<?php endif; ?>

	<?php
	// Social Link Field 3
	if(!empty( $social_link_three )): ?>
		<a href="<?php echo esc_url($social_link_three);?>">
		  	<span class="<?php echo esc_attr($social_icon_three);?>"></span>
		</a>
	<?php endif; ?>

	<?php
	// Social Link Field 4
	if(!empty( $social_link_four )): ?>
		<a href="<?php echo esc_url($social_link_four);?>">
		  	<span class="<?php echo esc_attr($social_icon_four);?>"></span>
		</a>
	<?php endif; ?>

	<?php
	// Social Link Field 5
	if(!empty( $social_link_five )): ?>
		<a href="<?php echo esc_url($social_link_five);?>">
		  	<span class="<?php echo esc_attr($social_icon_five);?>"></span>
		</a>
	<?php endif; ?>

	<?php
	// Social Link Field 6
	if(!empty( $social_link_six )): ?>
		<a href="<?php echo esc_url($social_link_six);?>">
		  	<span class="<?php echo esc_attr($social_icon_six);?>"></span>
		</a>
	<?php endif; ?>

	</div>

<?php }


function minimal_core_header(){

	global $defaults;
	$show_header_search 	= $defaults['minimal_show_header_search'];
	$show_header_social 	= $defaults['minimal_show_header_social'];
	$show_cat_dropdown 		= $defaults['minimal_show_header_category_dropdown'];
	$header_layout 			= $defaults['minimal_header_menu_layout'];


	if ( $header_layout === 1 ):?>
		<div class="header-container">
		<div class="header-inner website__canvas">
		<div class="row">
			<div class="col-md-3 header-one-social equal-height">
				<?php
					do_action( 'aqua_header_top_left' );

					if( $show_header_social == 1 ) :
						minimal_social_menu();
					endif;
				?>
			</div>

			<div class="col-md-6 site-branding header-one-logo equal-height">
				<?php minimal_header_logo();?>
			</div>

			<div class="col-md-3 header-one-cat equal-height">
				<?php do_action( 'aqua_header_top_right' );?>
				<?php
				if( $show_cat_dropdown == 1 ) :
					minimal_category_menu();
				endif;
				?>
			</div>
			<div class="col-md-3 equal-height"></div>
			<div class="col-md-6 header-one-menu equal-height"><?php minimal_header_menu();?></div>
			<div class="col-md-3 header-one-search equal-height text-right">
				<?php
				if( $show_header_search == 1 ) : ?>
					<div class="header-search"><?php get_search_form( ); ?></div>
				<?php endif;?>
			</div>
		</div>
		</div>
		</div>
	<?php endif; ?>


	<?php if ( $header_layout === 2 ):?>
		<div class="header-container">
		<div class="header-inner website__canvas">
		<div class="row flexify--center">
			<div class="col-md-4 site-branding  header-two-logo">
				<?php minimal_header_logo();?>
				<?php
						if( $show_header_social == 1 ) : ?>
							<div class="header-social">
								<?php minimal_social_menu();?>
							</div>
						<?php endif;
				?>
			</div>
			<div class="col-md-8">
				<div class="header-two-top">
					<?php do_action( 'aqua_header_top_right' ); ?>

					<?php do_action( 'aqua_header_top_left' );?>

						<div class="header-two-search text-right">
							<?php
								if( $show_header_search == 1 ) :
									get_search_form();
								endif;
							?>
							<?php
								if( $show_cat_dropdown == 1 ) :
									minimal_category_menu();
								endif;
							?>
						</div>

				</div>
				<div class="header-two-menu">
				<?php minimal_header_menu();?>
				</div>
			</div>
		</div>
		</div>
		</div>
	<?php endif; ?>

<?php }


function minimal_search_menu() { ?>
	<div class="header-search"><?php get_search_form( ); ?></div>
<?php
}
