<?php

/*--------------------------------------------------------------
## Home Top Recent Articles
--------------------------------------------------------------*/

if ( ! function_exists( 'minimal_home_top_recent_articles' ) ) :

	function minimal_home_top_recent_articles(){

		global $defaults;
		$home_latest_article_box_color			= sanitize_hex_color($defaults['home_latest_article_box_color']);
		$home_latest_article_background_color	= sanitize_hex_color($defaults['home_latest_article_background_color']);
		$home_latest_article_layout				= absint($defaults['home_latest_article_layout']);

		$args = array(
			'post_type' 				=> 'post',
			'post_status' 				=> 'publish',
			'posts_per_page' 			=> 4,
			'post__not_in'  			=> get_option( 'sticky_posts' ),
			'no_found_rows' 			=> true,
			'update_post_term_cache' 	=> false,
			'update_post_meta_cache' 	=> false,
		);

		$foo_query = new WP_Query( $args );

		if ( $foo_query->have_posts() ) : ?>
			<section class="home-section-wrapper home-recent" style="<?php echo esc_attr(minimal_check_section_color($home_latest_article_background_color));?>">
			<div class="website__canvas">
			<div class="row">
			<?php
		    	while ( $foo_query->have_posts() ) :
		        	$foo_query->the_post();
		    ?>

		        <div class="recent-holder-wide col-md-3" data-aos="zoom-out-down" data-aos-duration="1000" data-aos-easing="ease-out-quad" data-aos-once="true">
		        		<div class="recent-image-wide">
		        			<?php the_post_thumbnail('minimal-mag-article-thumb');?>
		        		</div>
		        		<div class="recent-info--wide">
		        			<h6 class="home-recent-title heading-six"><a href="<?php the_permalink();?>"><?php the_title();?></a></h6>
		        		</div>
		        </div>

		        <?php
		    endwhile; ?>
		    </div>
		    </div>
				</section>
				<?php
		endif;
	}

endif;


/*--------------------------------------------------------------
## Home Featured or Sticky Post Slider
--------------------------------------------------------------*/

if ( ! function_exists( 'minimal_home_sticky_article_slider' ) ) :

	function minimal_home_sticky_article_slider() {

		global $defaults;
		$home_featured_article_box_color			= sanitize_hex_color($defaults['home_featured_article_box_color']);
		$home_featured_article_background_color		= sanitize_hex_color($defaults['home_featured_article_background_color']);
		$home_featured_article_layout_selector		= absint($defaults['home_featured_article_layout_selector']);
		$title_position 							= $defaults['minimal_featured_article_title_position'];

		$sticky = get_option('sticky_posts');

		if (!empty($sticky)) {
			rsort($sticky);
		}

		$args = array(
				'post_type' 				=> 'post',
				'post__in' 					=> $sticky,
				'ignore_sticky_posts' 		=> 1,
				'post_status' 				=> 'publish',
				'no_found_rows' 			=> true,
				'posts_per_page' 			=> 4,
				'update_post_term_cache' 	=> false,
				'update_post_meta_cache' 	=> false,
		);

		$loop = new WP_Query( $args );

		if(has_filter('minimal_home_featured_post_args')) {
			$args = apply_filters('minimal_home_featured_post_args', $args);
		}

		?>

	<section class="home-section-wrapper posts-slider" style="<?php echo esc_attr(minimal_check_section_color($home_featured_article_background_color));?>">
	<div class="website__canvas">
	    <?php
	    	if(!empty($defaults['minimal_featured_article_title'] )):?>
		    	<h2 class="section-title heading-one <?php echo esc_attr($title_position);?>">
					<?php echo do_shortcode(wp_kses_post($defaults['minimal_featured_article_title']));?>
				</h2>
		<?php endif;?>

		<?php if ( $home_featured_article_layout_selector === 1 ):?>
			<div class="swiper-container">
			<div class="swiper-wrapper">

			<?php
			if ( $loop->have_posts() ) :
				while ( $loop->have_posts() ) : $loop->the_post(); ?>

					<div class="swiper-slide cards feature">
						<div class="row">
						<div class="col-md-5 slider-content" style="<?php echo esc_attr(minimal_check_section_color($home_featured_article_box_color));?>">
							<div class="story-content">
								<figure class="ico-slider ion-ios-albums-outline"></figure>
								<div class="meta"><?php the_category( ', ' ); ?></div>
								<a href="<?php the_permalink();?>">
									<h3 class="heading-one slider-title">
										<?php the_title();?>
									</h3>
								</a>
								<div class="abstract"><?php the_excerpt();?></div>
								<div class="meta author"><?php the_author(); ?></div>
								<div class="meta publish-date"><span><?php minimal_published_on();?></span></div>
							</div>
						</div>
						<div class="col-md-7 slider-image">
							<div class="opener-image flexify--center">
								<?php the_post_thumbnail('minimal-mag-slider');?>
							</div>
						</div>

						</div>
					</div>
			<?php
			endwhile;
			?>

			</div>
			<div class="swiper-button-prev"></div>
    		<div class="swiper-button-next"></div>
		</div>

	<?php endif; ?>
	<?php endif; ?>




	<?php if( $home_featured_article_layout_selector === 4 ):?>
		<div class="row">
	<?php
	        if( $loop->have_posts() ):
	        	$i = 0;
				while ( $loop->have_posts() ) : $loop->the_post(); ?>
				<?php
			        if ( $i == 0 ) : ?>
						<div class="col-md-8">
						<div class="featured-article-prime" data-aos="fade-up" data-aos-duration="1000" data-aos-easing="ease-out-quad" data-aos-once="true">
							<div class="highlight-image-prime">
			                    <?php
			                    	if(has_post_thumbnail()) {
			                        	the_post_thumbnail('full');
			                    	}
			                    ?>
							</div>
							<div class="featured-article-info-prime">
								<span class="meta meta-category category-prime"><?php the_category( ', ' ); ?></span>
								<a href="<?php the_permalink();?>"><h3 class="heading-one headline-prime"><?php the_title();?></h3></a>
							</div>
						</div>
						</div>
						<div class="col-md-4">
						<div class="row">
			        <?php endif; ?>

				<?php
			        if ( $i != 0 ) : ?>
						<div class="col-md-12">
						<div class="featured-article-sub" data-aos="fade-up" data-aos-duration="1000" data-aos-easing="ease-out-quad" data-aos-once="true">
							<div class="highlight-image-sub">
			                    <?php
			                    	if(has_post_thumbnail()) {
			                        	the_post_thumbnail('full');
			                    	}
			                    ?>
							</div>
							<div class="featured-article-info-sub">
								<span class="meta meta-category category-prime"><?php the_category( ', ' ); ?></span>
								<a href="<?php the_permalink();?>"><h3 class="headline-sub"><?php the_title();?></h3></a>
							</div>
						</div>
						</div>

			        <?php endif; ?>
					<?php $i++; ?>
					<?php endwhile; ?>
					</div>
					</div>
					<?php endif; ?>
			</div>
	<?php endif; ?>

		</div>
	</section>
	<?php

	}
endif;


/*--------------------------------------------------------------
## Home Articles by Category
--------------------------------------------------------------*/

function minimal_home_get_article_by_category(){

	global $defaults;
	$home_article_by_category_box_color			= sanitize_hex_color($defaults['home_article_by_category_box_color']);
	$home_article_by_category_background_color	= sanitize_hex_color($defaults['home_article_by_category_background_color']);
	$home_article_by_category_layout			= absint($defaults['home_article_by_category_layout']);
	$home_article_by_category_title 			= $defaults['home_article_by_category_title'];
	$title_position 							= $defaults['home_article_by_category_title_position'];
?>

        <section class="home-section-wrapper article-section" style="<?php echo esc_attr(minimal_check_section_color($home_article_by_category_background_color));?>">
        <div class="website__canvas">

	    <?php
	    	if(!empty($defaults['home_article_by_category_title'] )):?>
		    	<h2 class="section-title heading-one <?php echo esc_attr($title_position);?>">
					<?php echo do_shortcode(wp_kses_post($defaults['home_article_by_category_title']));?>
				</h2>
		<?php endif;?>
	<?php
	if ( $home_article_by_category_layout === 3){
		echo "<div class='row'>";
	}
	?>



<?php
	$categories = get_categories();

	foreach( $categories as $category ) :

        $args = array(
                'post_type' => 'post',
                'posts_per_page' => 4,
				'cat' => $category->term_id,
            );

        $posts = new WP_Query($args);

	    if( $posts->have_posts() ):
	        $i = 0;

		$category_link = get_category_link( $category->cat_ID );

        ?>

        <div class="<?php echo esc_attr($category->name);?> article-section" style="<?php echo esc_attr(minimal_check_section_color($home_article_by_category_background_color));?>">
        <div class="website__canvas" data-aos="fade-up" data-aos-duration="1000" data-aos-easing="ease-out-quad" data-aos-once="true">
        	<div class="section-heading">
			    <h2 class="section-title section-cat heading-one <?php echo esc_attr($title_position);?>">
			    	<a href="<?php echo esc_url( $category_link ); ?>">
			    		<?php echo esc_attr($category->cat_name); ?>
			    	</a>
			    </h2>
			    <p class="section-description"><?php echo esc_attr($category->category_description); ?></p>
		    </div>
			<div class="row">



				<?php if ( $home_article_by_category_layout === 1 ) : ?>

	        		<?php while( $posts->have_posts() ) : $posts->the_post();
			        if ( $i == 0 ) : ?>
						<div class="col-md-12 home-category-featured">
						<div class="highlight-article cards">
						<div class="row">
							<div class="highlight-image">
			                    <?php
			                    	if(has_post_thumbnail()) {
			                        	the_post_thumbnail('full');
			                    	}
			                    ?>
							</div>
							<div class="cat-one highlight-info" style="<?php echo esc_attr(minimal_check_section_color($home_article_by_category_box_color));?>">
		                    <div class="card-infos">
								<a href="<?php the_permalink();?>"><h2><?php the_title();?></h2></a>
								<div class="abstract"><?php the_excerpt();?></div>
			                    <div class="card-story-meta">
									<div class="meta card-author"><?php the_author(); ?></div>
									<div class="card-publish-date"><span><?php minimal_published_on();?></span></div>
								</div>
							</div>
							</div>
						</div>
						</div>
						</div>
			        <?php endif; ?>
			        <?php if ( $i != 0 ) : ?>
						<div class="col-md-4 cat-one home-category-supporting-one">
						<div class="equal-height" style="<?php echo esc_attr(minimal_check_section_color($home_article_by_category_box_color));?>">
							<div class="article-cat-image">
			                    <?php
			                    	if(has_post_thumbnail()) {
			                        	the_post_thumbnail('minimal-mag-home-articles');
			                    	}
			                    ?>
		                    </div>
		                    <div class="card-infos">
								<h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
								<div class="abstract">
			                    	<?php the_excerpt();?>
			                    </div>
							</div>
						</div>
						</div>
						<?php endif; ?>
						<?php $i++; ?>
	        <?php endwhile;?>
			<?php endif;?>

			<?php if ( $home_article_by_category_layout === 2 ) : ?>
	        <?php while( $posts->have_posts() ) : $posts->the_post();
			        if ( $i == 0 ) : ?>
			        <div class="category-article-container category-two border-color row">
						<div class="col-md-7 highlight-article-container equal-height">
						<div class="highlight-article cards">
							<div class="highlight-image-one">
			                    <?php
			                    	if(has_post_thumbnail()) {
			                        	the_post_thumbnail('full');
			                    	}
			                    ?>
							</div>
							<div class="highlight-info-two" style="<?php echo esc_attr(minimal_check_section_color($home_article_by_category_box_color));?>">
								<div class="meta meta-category"><?php the_category( ', ' ); ?></div>
								<a href="<?php the_permalink();?>"><h2 class="heading-two"><?php the_title();?></h2></a>
								<div class="abstract"><?php the_excerpt();?></div>
							</div>
						</div>
						</div>
						<div class="col-md-5 equal-height" style="<?php echo esc_attr(minimal_check_section_color($home_article_by_category_box_color));?>">
			        <?php endif; ?>
			        <?php if ( $i != 0 ) : ?>
						<div class="supporting-article border-color">
							<div class="meta meta-category"><?php the_category( ', ' ); ?></div>
							<a href="<?php the_permalink();?>">
								<h4><?php the_title();?></h4>
							</a>
						</div>
						<?php endif; ?>
						<?php $i++; ?>
	        <?php endwhile;?>
	    	</div>
	    	</div>
			<?php endif;?>


		<?php endif;?>

		</div>
    	</div>
    	</div>
    <?php
		endforeach; ?>

		    	</div>
    	</section>

    	<?php

}


/*--------------------------------------------------------------
## Homepage All Articles
--------------------------------------------------------------*/

function minimal_home_all_article(){
global $defaults;
$minimal_blogposts_background_color			= sanitize_hex_color($defaults['minimal_blogposts_background_color']);
$minimal_blogposts_background_image 		= esc_url($defaults['minimal_blogposts_background_image']);
$home_blogposts_layout 						= absint($defaults['minimal_home_blogposts_layout']);
$title_position 							= $defaults['minimal_home_blogposts_title_position'];

?>

<section class="home-section-wrapper" style="<?php echo esc_attr(minimal_check_section_image($minimal_blogposts_background_image),minimal_check_section_color($minimal_blogposts_background_color));?>">
<?php do_action( 'minimal_homepage_before_blog_posts' );?>
<div class="website__canvas">
<div class="front-section__title">
    <?php
    	if(!empty($defaults['minimal_home_blogposts_title'] )):?>
	    	<h2 class="section-title heading-one <?php echo esc_attr($title_position);?>">
				<?php echo do_shortcode(wp_kses_post($defaults['minimal_home_blogposts_title']));?>
			</h2>
	<?php endif;?>

</div>
<?php do_action( 'minimal_homepage_after_blog_posts_title' );?>
<div class="posts__grid">
<div class="row">
	<?php

		$args = array(
			'post_type' 		=> 'post',
			'posts_per_page' 	=> absint($defaults['blog_front_post_per_page_select']),
			'orderby' 			=> 'date',
			'order' 			=> 'DESC',
			);

		if(has_filter('minimal_front_blog_post_args')) {
			$args = apply_filters('minimal_front_blog_post_args', $args);
		}

		$loop = new WP_Query( $args );
		if ( $loop->have_posts() ) {
			while ( $loop->have_posts() ) : $loop->the_post();

				if ( $home_blogposts_layout === 1 ){
					get_template_part( 'template-parts/content' );
				}else{
					get_template_part( 'template-parts/content-articles-two');
				}

			endwhile;

		} else {
			get_template_part( 'template-parts/content', 'none' );
		}
		wp_reset_postdata();
	?>
</div>
</section>

<?php

}


/*--------------------------------------------------------------
## Homepage Page Content
--------------------------------------------------------------*/

function minimal_home_default_page_content(){
	if ( have_posts() and is_page() ) :
	while ( have_posts() ) {?>
		<section class="home-section-wrapper home-default-content">
		<div class="website__canvas">
			<?php do_action( 'minimal_homepage_before_page_content' );?>
			<?php the_post();?>
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<header class="page__header entry-header">
				<div class="single page-meta">
				<?php
					the_title( '<h2 class="entry-title heading-one">', '</h2>' );
				?>
				</div>
			</header>
			<div class="container--card-content">
			<div class="entry-content">
				<?php the_content(); ?>
			</div>
			</div>
			</article>
			<?php do_action( 'minimal_homepage_after_page_content' );?>
		</div>
		</section>
		<?php
	}
	endif;
}


/*--------------------------------------------------------------
## Homepage Widgets
--------------------------------------------------------------*/

function minimal_homepage_widget_section(){
  if ( is_active_sidebar( 'homepage-widgets' ) ) : ?>
  <section class="home-section-wrapper homepage-widgets">
  <div class="website__canvas">
    <?php dynamic_sidebar( 'homepage-widgets' ); ?>
  </div>
  </section>
  <?php endif;
}



/*--------------------------------------------------------------
## Homepage Sidebar
--------------------------------------------------------------*/

function minimal_homepage_sidebar_section(){
  if ( is_active_sidebar( 'homepage-sidebar' ) ) : ?>
  <section class="home-section-wrapper homepage-sidebar">
  <div class="website__canvas">
    <?php dynamic_sidebar( 'homepage-sidebar' ); ?>
  </div>
  </section>
  <?php endif;
}