<?php
/**
 *
 * @package minimal-magazine
 */
global $defaults;


/**
 * Executes between the head element
 */
add_action( 'wp_head', 'minimal_customizer_head_styles' );


/**
 * Homepage
 */
add_action( 'homepage', 'minimal_homepage_widget_section',		   	10 );
add_action( 'homepage', 'minimal_home_top_recent_articles',		   	20 );
add_action( 'homepage', 'minimal_home_sticky_article_slider',		30 );
add_action( 'homepage', 'minimal_home_get_article_by_category',		40 );
add_action( 'homepage', 'minimal_home_all_article',					50 );
add_action( 'homepage', 'minimal_home_default_page_content',		60 );

/**
 * Fires after the theme is loaded
 */
add_action( 'after_setup_theme', 'minimal_custom_header_setup' );
add_action( 'after_setup_theme', 'minimal_magazine_setup' );

/**
 * Footer
 */
add_action( 'wp_footer', 'minimal_scroll_to_top' );




add_action( 'customize_preview_init', 'minimal_customize_preview_js' );
add_action( 'customize_controls_enqueue_scripts', 'minimal_customizer_style');
add_action( 'edit_category', 'minimal_category_transient_flusher' );
add_action( 'save_post',     'minimal_category_transient_flusher' );
add_action( 'customize_register', 'minimal_customize_register' );
add_action( 'minimal_header', 'minimal_core_header',		   		20 );


add_action('minimal_loop_after', 'minimal_pagination');
add_action( 'wp_enqueue_scripts', 'minimal_scripts' );
add_action( 'widgets_init', 'minimal_widgets_init' );



add_filter( 'wp_resource_hints', 'minimalmag_resource_hints', 10, 2 );
add_filter( 'get_the_archive_title', 'minimal_clean_archive_title');
add_filter('next_posts_link_attributes', 'minimal_next_page_add_class');
add_filter('previous_posts_link_attributes', 'minimal_previous_page_add_class');
add_filter( 'body_class', 'minimal_body_classes' );
add_filter( 'excerpt_length', 'minimal_post_summary_word_count', 999 );
add_action( 'init', 'minimal_page_excerpts' );