<?php
/**
 *
 * Template name: Blog Posts
 *
 * @package minimal-magazine
 */
global $defaults;

get_header();
do_action('minimal_before_main_content');?>

<main id="primary" class="content-area" role="main">
<div id="main" class="site-main">
<?php
		//Fix homepage pagination
		if ( get_query_var('paged') ) {
		    $paged = get_query_var('paged');
		} else if ( get_query_var('page') ) {
		    $paged = get_query_var('page');
		} else {
		    $paged = 1;
		}

		$args = array(
			'post_type' => 'post',
			'orderby' => 'date',
			'order' => 'DESC',
			'paged' => $paged,
		);

		if(has_filter('minimal_template_blog_args')) {
			$args = apply_filters('minimal_template_blog_args', $args);
		}

		$wp_query = null;
		$wp_query = new WP_Query();
		$wp_query->query( $args );

		if ( $wp_query->have_posts() ) : ?>

			<header class="page__header entry-header">
			<div class="single page-meta">
			<?php
				the_title( '<h1 class="entry-title heading-one">', '</h1>' );
			?>
			</div>
			</header>

			<div class="website__canvas">
			<div class="row">
				<div class="template__blog <?php minimal_blog_sidebar();?>">
				<div class="row">
				<?php
				/* Start the Loop */
						get_template_part( 'loop' );
					else :
						get_template_part( 'template-parts/content', 'none' );
					endif;
					wp_reset_postdata();
				?>
				</div>
				</div>
				<?php get_sidebar('blog');?>
			</div>
			</div>

	</div><!-- #primary -->
</main><!-- #main -->
<?php
do_action('minimal_after_main_content');
get_footer();